libzypp 17.37.10

zypp::callback::ReportBase Struct Reference

`#include <zypp/Callback.h>`

Inheritance diagram for zypp::callback::ReportBase:

## Public Types
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 149 of file Callback.h.

## Member Typedef Documentation

## ◆ UserData

typedef callback::UserData zypp::callback::ReportBase::UserData

Definition at line 151 of file Callback.h.

## ◆ ContentType

typedef UserData::ContentType zypp::callback::ReportBase::ContentType

Definition at line 152 of file Callback.h.

## Constructor & Destructor Documentation

## ◆ ~ReportBase()

virtual zypp::callback::ReportBase::~ReportBase | ( |  | ) |
| inline virtual

Definition at line 158 of file Callback.h.

## Member Function Documentation

## ◆ report()

virtual void zypp::callback::ReportBase::report | ( | const UserData & | userData_r = UserData() | ) |
| inline virtual

The most generic way of sending/receiving data.

Reimplemented in internal::OptionalDownloadProgressReport.

Definition at line 155 of file Callback.h.

The documentation for this struct was generated from the following file:

- zypp/Callback.h